bcr_test_module:
  module_path: "."
  matrix:
    platform: ["debian10", "ubuntu2004", "macos", "macos_arm64", "windows", "windows_arm64"]
    bazel: [7.x, 8.x, rolling]
  tasks:
    run_tests:
      name: "Run test module"
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
        - "//..."
      test_targets:
        - "//..."
    build_from_source:
      name: "Build from source"
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_flags:
        - "--//bzl/config:helper_build_mode=from_source"
      build_targets:
        - "//:tweag-credential-helper"
        - "//installer:installer"
    check_availability_of_prebuilt_helper:
      name: "Check availability of prebuilt helper"
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_flags:
        - "--//bzl/config:helper_build_mode=prebuilt"
      build_targets:
        - "//installer:installer"
